package com.neusoft.smart.pos.org.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 集团门店业务错误信息使用枚举类
 */
public enum TableErrorCode implements CommonCode {
	
	TABLE_FOUNDING_ERROR("05101", "当前餐桌状态不可点菜"),
	TABLE_SETTLE_ERROR("05102", "只有使用中的餐桌才可以结算"),
	TABLE_ADD_DISHES_ERROR("05103", "只有使用中的餐桌才可以添加新菜肴"),
	TABLE_OCCUPIED("05104", "当前餐桌已被占用不可开台"),
	TABLE_ORDERED_ERROR("05105", "只有已开台的餐桌才可以下单"),
	TABLE_NOT_EXIST("05106", "餐桌数据不存在"),
	TABLE_EXCHANGE_ERROR("05107", "只可以更换到空桌"),
	;
	
	private String code;
	
	private String message;
	
	TableErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}
	
}
